### Constructor

# Gsk ConicGradientNode new

#### Declaration [src]

    GskRenderNode*
    gsk_conic_gradient_node_new (
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float rotation,
      const GskColorStop* color_stops,
      gsize n_color_stops
    )

#### Description [src]

Creates a `GskRenderNode` that draws a conic gradient.

The conic gradient starts around `center` in the direction of `rotation`. A rotation of 0 means that the gradient points up. Color stops are then added clockwise.

#### Parameters

`bounds` | `const graphene_rect_t*`
| The bounds of the node.
| The data is owned by the caller of the function.
`center` | `const graphene_point_t*`
| The center of the gradient.
| The data is owned by the caller of the function.
`rotation` | `float`
| The rotation of the gradient in degrees.
`color_stops` | An array of `GskColorStop`
| A pointer to an array of `GskColorStop` defining the gradient. The offsets of all color stops must be increasing. The first stop’s offset must be >= 0 and the last stop’s offset must be <= 1.
| The length of the array is specified in the `n_color_stops` argument.
| The data is owned by the caller of the function.
`n_color_stops` | `gsize`
| The number of elements in `color_stops`.

#### Return value

Returns: | `GskConicGradientNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.